%define anolis_release 1
Name:		biosdevname
Version:	0.7.3
Release:	%{anolis_release}%{?dist}
Summary:	Udev helper for naming devices per BIOS names
License:	GPLv2
URL:		https://github.com/dell/%{name}
# SMBIOS only exists on these arches.  It's also likely that other
# arches don't expect the PCI bus to be sorted breadth-first, or of
# so, there haven't been any comments about that on LKML.
ExclusiveArch: x86_64
Source0:	https://github.com/dell/%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  pciutils-devel
BuildRequires:  zlib-devel
BuildRequires:  make

Patch1: 0001-Install-udev-rules-file-in-usr-lib-udev-rules.d-71-b.patch
Patch2: 0002-Add-support-for-ExaNIC-network-cards-5.patch
Patch3: 0003-man-fix-all_ethN-indentation.patch

%description
biosdevname in its simplest form takes a kernel device name as an
argument, and returns the BIOS-given name it "should" be.  This is necessary
on systems where the BIOS name for a given device (e.g. the label on
the chassis is "Gb1") doesn't map directly and obviously to the kernel
name (e.g. eth0).

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -fvi
%configure --prefix=%{_prefix}
make %{?_smp_mflags}

%install
make install install-data DESTDIR=%{buildroot}

%files
%doc COPYING README
%{_sbindir}/%{name}
%{_prefix}/lib/udev/rules.d/*.rules
%{_mandir}/man1/%{name}.1*

%changelog 
* Wed Oct 26 2022 Kun(llfl) <llfl@linux.alibaba.com> 0.7.3-2
- Add patches from upstream v0.7.3

* Mon Apr 11 2022 Zhongling He <zhonglingh@linux.alibaba.com> 0.7.3-1
- Init package from upstream v0.7.3

* Mon Mar 07 2022 Hongwei Qin <qhw01063182@alibaba-inc.com> - 0.7.2-1
- rebase to biosdevname-0.7.2
- Init for Anolis OS 23
